Taiga
API ReferencePre EncounterPatientsV1

Create with mrn

Adds a patient and hydrates their MRN with a pre-existing MRN. Once this patient is created their MRN will not be editable. BadRequestError is returned when the MRN is greater than 20 characters. VersionConflictError is returned when the patient's external ID is already in use.

POST
/patients/v1/with_mrn

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

skip_duplicate_check?boolean|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/patients/v1/with_mrn" \  -H "Content-Type: application/json" \  -d '{    "mrn": "string",    "name": {      "family": "string",      "given": [        "string"      ],      "use": "USUAL"    },    "other_names": [      {        "family": "string",        "given": [          "string"        ],        "use": "USUAL"      }    ],    "birth_date": "2019-08-24",    "biological_sex": "FEMALE",    "primary_address": {      "use": "HOME",      "line": [        "string"      ],      "city": "string",      "state": "string",      "postal_code": "string",      "country": "string"    },    "other_addresses": [      {        "use": "HOME",        "line": [          "string"        ],        "city": "string",        "state": "string",        "postal_code": "string",        "country": "string"      }    ],    "other_telecoms": [      {        "value": "string",        "use": "HOME"      }    ],    "contacts": [      {        "relationship": [          "SELF"        ],        "name": {          "family": "string",          "given": [            "string"          ],          "use": "USUAL"        },        "telecoms": [          {            "value": "string",            "use": "HOME"          }        ],        "addresses": [          {            "use": "HOME",            "line": [              "string"            ],            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string"          }        ]      }    ],    "general_practitioners": [      {        "name": {          "family": "string",          "given": [            "string"          ],          "use": "USUAL"        },        "telecoms": [          {            "value": "string",            "use": "HOME"          }        ]      }    ],    "filing_order": {      "coverages": [        "197823de-c85f-4581-a119-488b658a39b7"      ]    }  }'
{  "id": "string",  "mrn": "string",  "organization_id": "string",  "deactivated": true,  "version": 0,  "updated_at": "2019-08-24T14:15:22Z",  "updating_user_id": "string",  "name": {    "family": "string",    "given": [      "string"    ],    "use": "USUAL",    "period": {      "start": "2019-08-24",      "end": "2019-08-24"    },    "suffix": "string"  },  "other_names": [    {      "family": "string",      "given": [        "string"      ],      "use": "USUAL",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "suffix": "string"    }  ],  "other_identifiers": [    {      "value": "string",      "system": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    }  ],  "gender": "MAN",  "birth_date": "2019-08-24",  "social_security_number": "string",  "biological_sex": "FEMALE",  "sexual_orientation": "HETEROSEXUAL",  "pronouns": [    "string"  ],  "race": "AMERICAN_INDIAN_OR_ALASKA_NATIVE",  "ethnicity": "HISPANIC_OR_LATINO",  "disability_status": "DISABLED",  "marital_status": "ANNULLED",  "deceased": "2019-08-24T14:15:22Z",  "multiple_birth": 0,  "primary_address": {    "use": "HOME",    "line": [      "string"    ],    "city": "string",    "state": "string",    "postal_code": "string",    "country": "string",    "county": "string",    "period": {      "start": "2019-08-24",      "end": "2019-08-24"    }  },  "other_addresses": [    {      "use": "HOME",      "line": [        "string"      ],      "city": "string",      "state": "string",      "postal_code": "string",      "country": "string",      "county": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    }  ],  "primary_telecom": {    "value": "string",    "use": "HOME",    "period": {      "start": "2019-08-24",      "end": "2019-08-24"    }  },  "other_telecoms": [    {      "value": "string",      "use": "HOME",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    }  ],  "email": "string",  "electronic_communication_opt_in": true,  "electronic_communication_consent": {    "text_communication_consent": true,    "email_communication_consent": true  },  "photo": "string",  "language": "string",  "external_provenance": {    "external_id": "string",    "system_name": "string"  },  "contacts": [    {      "relationship": [        "SELF"      ],      "name": {        "family": "string",        "given": [          "string"        ],        "use": "USUAL",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "suffix": "string"      },      "telecoms": [        {          "value": "string",          "use": "HOME",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "addresses": [        {          "use": "HOME",          "line": [            "string"          ],          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string",          "county": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "hipaa_authorization": true    }  ],  "general_practitioners": [    {      "name": {        "family": "string",        "given": [          "string"        ],        "use": "USUAL",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "suffix": "string"      },      "type": "PRIMARY",      "npi": "string",      "telecoms": [        {          "value": "string",          "use": "HOME",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "addresses": [        {          "use": "HOME",          "line": [            "string"          ],          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string",          "county": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "canonical_id": "string",      "fax": "string",      "other_fax_numbers": [        "string"      ],      "emails": [        "string"      ],      "service_facilities": [        {          "service_facility_id": "string"        }      ]    }  ],  "filing_order": {    "coverages": [      "197823de-c85f-4581-a119-488b658a39b7"    ]  },  "coverages_for_related_causes": {    "coverages": [      "197823de-c85f-4581-a119-488b658a39b7"    ]  },  "non_insurance_payers": [    "string"  ],  "non_insurance_payer_associations": [    {      "id": "string",      "member_id": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "clinical_trial_info": [        {          "id": "string",          "clinical_trial_arm": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ]    }  ],  "guarantor": {    "name": {      "family": "string",      "given": [        "string"      ],      "use": "USUAL",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "suffix": "string"    },    "telecom": {      "value": "string",      "use": "HOME",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    },    "email": "string",    "birth_date": "2019-08-24",    "address": {      "use": "HOME",      "line": [        "string"      ],      "city": "string",      "state": "string",      "postal_code": "string",      "country": "string",      "county": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      }    }  },  "self_pay": true,  "authorizations": [    {      "payer_id": "string",      "payer_name": "string",      "additional_payer_information": {        "availity_eligibility_id": "string",        "availity_payer_id": "string",        "availity_payer_name": "string",        "availity_remittance_payer_id": "string"      },      "authorization_number": "string",      "cpt_code": "string",      "apply_for_all_cpt_codes": true,      "no_prior_authorization_required": true,      "units": "VISIT",      "quantity": 0,      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "notes": "string",      "billing_provider_npi": "string",      "service_facility": {        "service_facility_id": "string"      },      "dx_codes": [        "string"      ]    }  ],  "referrals": [    {      "provider": {        "name": {          "family": "string",          "given": [            "string"          ],          "use": "USUAL",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          },          "suffix": "string"        },        "type": "PRIMARY",        "npi": "string",        "telecoms": [          {            "value": "string",            "use": "HOME",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        ],        "addresses": [          {            "use": "HOME",            "line": [              "string"            ],            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string",            "county": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        ],        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "canonical_id": "string",        "fax": "string",        "other_fax_numbers": [          "string"        ],        "emails": [          "string"        ],        "service_facilities": [          {            "service_facility_id": "string"          }        ]      },      "referral_number": "string",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "notes": "string",      "serviceFacility": {        "service_facility_id": "string"      },      "units": "VISIT",      "quantity": 0,      "cptCodes": [        "string"      ],      "applyForAllCptCodes": true    }  ],  "primary_service_facility_id": "string",  "service_facilities": [    {      "service_facility_id": "string"    }  ],  "do_not_invoice_reason": "BANKRUPTCY",  "note_ids": [    "string"  ],  "tag_ids": [    "string"  ],  "origination_detail": {    "referral_source": "HOSPITAL",    "referring_provider": {      "name": {        "family": "string",        "given": [          "string"        ],        "use": "USUAL",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "suffix": "string"      },      "type": "PRIMARY",      "npi": "string",      "telecoms": [        {          "value": "string",          "use": "HOME",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "addresses": [        {          "use": "HOME",          "line": [            "string"          ],          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string",          "county": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        }      ],      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "canonical_id": "string",      "fax": "string",      "other_fax_numbers": [        "string"      ],      "emails": [        "string"      ],      "service_facilities": [        {          "service_facility_id": "string"        }      ]    },    "specialization_categories": [      "BEHAVIORAL_HEALTH_THERAPY"    ],    "referral_type": "DIRECTED"  },  "inferred_patient_metadata": {    "inferred_encounter_id": "string",    "inferred_encounter_latest_date_of_service": "2019-08-24"  },  "orcon": true,  "advanced_directives": [    "NONE"  ],  "hipaa_code": "string"}